<template>
    <div class="flex items-center justify-between mb-4">
        <Breadcrumb nameRouteHome="admin" textRouteHome="Trang chủ">
            <ItemBreadcrumb isRouteLink nameRoute="teacher-quiz">
                Ngân hàng câu hỏi
            </ItemBreadcrumb>
            <ItemBreadcrumb>
                Cập nhật: {{ quiz ? quiz.id : "" }}
            </ItemBreadcrumb>
        </Breadcrumb>
    </div>
    <div class="card">
        <div class="card-body">
            <div v-if="isLoading" class="text-center">
                <SpinLoading />
            </div>
            <QuizForm v-else :quiz="quiz" />
        </div>
    </div>
</template>

<script>
import { useRoute } from "vue-router";

import useGetQuiz from "@/hooks/quiz/useGetQuiz";

import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import SpinLoading from "@/components/loading/SpinLoading.vue";
import QuizForm from "@/components/quiz/QuizForm.vue";

export default {
    components: {
        Breadcrumb,
        ItemBreadcrumb,
        SpinLoading,
        QuizForm
    },
    setup() {
        const route = useRoute();
        const { isLoading, quiz, onGetQuiz } = useGetQuiz();

        async function getQuiz() {
            await onGetQuiz(route.params.quizId);
        }
        getQuiz();

        return { isLoading, quiz };
    }
};
</script>
